rectangularMask {secr} | R Documentation

## Rectangular Mask

### Description

Convert a mask or Dsurface with an irregular outline into a mask or Dsurface with a rectangular outline and the same bounding box. This enables contour plotting.

### Usage

    rectangularMask(mask)

### Arguments

`mask` | object of class mask or Dsurface

### Details

The covariates of new points are set to missing. The operation may be reversed (nearly) with `subset(rectmask, attr(rectmask, "OK"))`.

The results are unpredictable if the mask has been rotated.

### Value

A rectangular mask or Dsurface with the same ‘area’, ‘boundingbox’, ‘meanSD’, ‘polygon’ and ‘polygon.habitat’ attributes as `mask`. A logical vector attribute ‘OK’ is added identifying the points inherited from `mask`.

### See Also

`plot.Dsurface`

### Examples

    rMask <- rectangularMask(possummask)
    plot(rMask)
    plot(possummask, add = TRUE, col = "blue")

[Package secr version 3.2.1 Index]